# not noarch as it is now putting files in archful directories:
%global debug_package %{nil}

Summary: API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version:	1.25
Release: 	%mkrel 2
License: 	GPLv2+ and GFDL
Group: 		Development/GNOME and GTK+
Source:		https://download.gnome.org/sources/gtk-doc/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	libxslt-proc
BuildRequires:	openjade
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  dblatex
BuildRequires:  source-highlight
BuildRequires:	itstool
#gw for building the checks
BuildRequires:  glib2-devel
BuildRequires:  rarian
# for the testsuite:
BuildRequires:  bc
# (for pdflatex:)
BuildRequires:  texlive-dist
URL: 		http://www.gtk.org/gtk-doc/
Requires:	libxslt-proc
Requires:	docbook-utils
Requires:	docbook-dtd43-xml
Requires: 	docbook-style-xsl
Requires:	diffutils
Requires:	source-highlight
%global __requires_exclude perl\\(gtkdoc-common.pl\\)

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%package mkpdf
Summary: API documentation PDF format generation tool for GTK+ and GNOME
Group: Development/GNOME and GTK+
Requires: %{name} = %version
Requires: dblatex
Conflicts: %{name} < 1.17-2

%description mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%setup -q
# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%configure2_5x --prefix=%_prefix
%make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig

# include shared directory
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html

%find_lang %name-manual --with-help

%check
PERL5LIB=$(pwd) PATH=$PATH:$(pwd) make check

%files -f %name-manual.lang
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-mktmpl
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc
%{_datadir}/sgml/gtk-doc
%{_datadir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_libdir}/cmake/*

%files mkpdf
%{_bindir}/gtkdoc-mkpdf


%changelog
* Wed Mar 23 2016 tv <tv> 1.25-2.mga6
+ Revision: 994426
- use %%configure2_5x
- no more noarch as it is now putting files in archful directories

* Wed Mar 23 2016 tv <tv> 1.25-1.mga6
+ Revision: 994420
- further add BRs for the testsuite
- add BRs for the testsuite
- adjust file list
- new release

* Thu Feb 18 2016 umeabot <umeabot> 1.24-2.mga6
+ Revision: 965847
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 ovitters <ovitters> 1.24-1.mga6
+ Revision: 838551
- new version 1.24

* Sat Jun 20 2015 ovitters <ovitters> 1.22-1.mga6
+ Revision: 836435
- new version 1.22

* Wed Oct 15 2014 umeabot <umeabot> 1.21-3.mga5
+ Revision: 751170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.21-2.mga5
+ Revision: 680000
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Aug 30 2014 pterjan <pterjan> 1.21-1.mga5
+ Revision: 669334
- Update file list

  + ovitters <ovitters>
    - new version 1.21

* Sat Feb 15 2014 ovitters <ovitters> 1.20-1.mga5
+ Revision: 592425
- new version 1.20

* Sat Oct 19 2013 umeabot <umeabot> 1.19-2.mga4
+ Revision: 527518
- Mageia 4 Mass Rebuild

  + fwang <fwang>
    - drop scrollkeeper

* Sun Jun 09 2013 fwang <fwang> 1.19-1.mga4
+ Revision: 440954
- use new doc tool
- new version 1.9

* Sat Jan 12 2013 umeabot <umeabot> 1.18-2.mga3
+ Revision: 352818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 1.18-1.mga2
+ Revision: 143695
- new version 1.18

* Mon Aug 29 2011 fwang <fwang> 1.17-2.mga2
+ Revision: 136050
- split out pdf command, which is rarely used

* Thu Mar 03 2011 pterjan <pterjan> 1.17-1.mga1
+ Revision: 63336
- Update to 1.17
- Fix indentation

* Tue Jan 11 2011 blino <blino> 1.15-4.mga1
+ Revision: 6387
- remove pkgconfig dir definition for old versions

  + pterjan <pterjan>
    - imported package gtk-doc

